Get a redirect rule by ID
GET/v2/help_center/redirect_rules/{id}
Retrieves a specific redirect rule by its unique identifier.
Returns the redirect rule object if found in your organization.
Response
Returns a redirect rule object with:
id- Unique identifier (MongoDB ObjectId)helpCenterId- Help center this rule belongs tolocale- Locale codefromUrl- Canonical source URL being redirected fromtargetType- “article” or “collection”targetId- ID of the target article or collectioncreatedAt- ISO 8601 timestamp when createdupdatedAt- ISO 8601 timestamp when last updated
Errors
404- Redirect rule not found in your organization
Get a redirect rule by ID
curl https://do.featurebase.app/v2/help_center/redirect_rules/$ID \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2026-02-11T12:00:00.000Z",
"fromUrl": "https://help.example.com/en/old/getting-started",
"helpCenterId": "ox6qrqprmsuqaunj",
"locale": "en",
"object": "redirect_rule",
"targetId": "1234567",
"targetType": "article",
"updatedAt": "2026-02-11T12:00:00.000Z"
}Returns Examples
{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2026-02-11T12:00:00.000Z",
"fromUrl": "https://help.example.com/en/old/getting-started",
"helpCenterId": "ox6qrqprmsuqaunj",
"locale": "en",
"object": "redirect_rule",
"targetId": "1234567",
"targetType": "article",
"updatedAt": "2026-02-11T12:00:00.000Z"
}